EZ_GetBackgroundGC(3)

NAME
EZ_GetBackgroundGC, EZ_GetbackgroundTileGC - return the background GC.

SYNOPSIS
#include <EZ.h>

int EZ_GetBackgroundGC(EZ_Widget *widget, GC *gc, unsigned long *pv,
                        int highligt, int highlightF)
int EZ_GetBackgroundTileGC(EZ_Widget *widget, GC *gc, unsigned long *pv,
                          int highligt, int highlightF)

ARGUMENTS
widget Specifies an EZ widget.

gc Specifies the return of the background GC.

pv Specifies the return of the pixel value.

highlight Specifies whether to return the highlight background GC.

highlightF Specifies whether to return the highlight background GC only.

DESCRIPTION

EZ_GetBackgroundGC returns the GC for rendering the background of a widget. It also returns the background pixel value. If background tile is used, it returns the background tile GC but leaves the tile origin undefined. In this case, the background pixel value is meaningless.

EZ_GetBackgroundTileGC returns the GC for rendering the background of a widget. If background tile is used, it returns the background tile GC with the tile origin properly set.

The returned GC is immediate, it will be modified by EZWGL.

SEE ALSO
EZ_GetWidgetTileOrigin(3)